# Copyright (c) 2008 by David Golden. All rights reserved.
# Licensed under Apache License, Version 2.0 (the "License").
# You may not use this file except in compliance with the License.
# A copy of the License was distributed with this file or you may obtain a 
# copy of the License from http://www.apache.org/licenses/LICENSE-2.0

use 5.006;
use strict;
use warnings;
use lib 'inc';
eval "require Pod::WikiDoc";
my $class = $@ ? "Module::Build" : "Module::Build::WikiDoc";
eval "require $class";
my $build = $class->new( 
    module_name => 'POE::Component::Client::NNTP::Tail',
    dist_author => 'David Golden <dagolden@cpan.org>',
    license => 'apache',
    create_readme => 1,
    create_makefile_pl  => 'traditional',
    requires => {
        'perl' => '5.006',
        'Carp::POE' => 0,
        'Params::Validate' => 0,
        'POE'  => 1.0,
        'POE::Component::Client::NNTP' => 2.10,
    },
    build_requires => {
        'Test::More' => 0.62,
        'Email::Date::Format' => 1.002,
        'Email::Simple' => 2.003,
        'POE::Component::Server::NNTP' => 1.02,
    },
    meta_add            => { 
        no_index => { 
            directory => [ qw/ examples inc t /],
        } 
    },
);
$build->create_build_script;
